{ lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    # Optionally import modules for non-essential extras
    imports =
        lib.optionals settings.hardware.yubikey.enable [ ./yubikey.nix ]
        ++ lib.optionals settings.dvd [ ./dvd.nix ]
        ++ lib.optionals settings.bluray [ ./bluray.nix ]
        ++ lib.optionals settings.networking.wireguard [ ./wireguard.nix ];
}
