{ pkgs, lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    services.pcscd.enable = true; # enable support for smart cards

    environment.systemPackages = with pkgs; [ pcsclite ]
        # Yubico authentictor app for managing accounts
        ++ (lib.optionals settings.hardware.yubikey.authenticator [ yubioath-flutter ])
        # ykman CLI and Qt-GUI
        ++ (lib.optionals settings.hardware.yubikey.ykman [
            yubikey-manager     # CLI tool for ykman
            yubikey-manager-qt  # GUI tool for ykman
        ]);
}
