{ pkgs, lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    # Remove sound.enable or set it to false if you had it set previously, as sound.enable is only meant for ALSA-based configurations
    sound.enable = false;

    # rtkit is optional but recommended
    security.rtkit.enable = true;

    services.pipewire = {
        enable = settings.sound.pipewire.enable;
        audio.enable = settings.sound.pipewire.enable;
        pulse.enable = settings.sound.pipewire.pulse;
        jack.enable = settings.sound.pipewire.jack;
        alsa = {
            enable = settings.sound.pipewire.alsa;
            support32Bit = true;
        };
    };
}
